package hdm.mi.growbros.models;

import hdm.mi.growbros.models.plant.Plant;
import hdm.mi.growbros.models.user.User;
import jakarta.persistence.*;
import lombok.*;
import org.springframework.data.annotation.CreatedBy;
import org.springframework.data.annotation.CreatedDate;
import org.springframework.data.jpa.domain.support.AuditingEntityListener;

import java.util.Date;

@Entity
@EntityListeners(AuditingEntityListener.class)
@Data
@Builder
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class WishListEntry {

    @Id
    @GeneratedValue
    private Long id;

    @ManyToOne(optional = false)
    private Plant plant;

    @ManyToOne(optional = false)
    @CreatedBy
    private User user;

    @CreatedDate
    private Date createdAt;
}